[Interest] X11->XQuartz compatability?

Jason H jhihn at gmx.com
Mon Jul 8 21:22:46 CEST 2019


Tries, that, output changed slightly:
function is no-op
Unrecognized OpenGL version
Unrecognized OpenGL version
function is no-op
QGLXContext: Failed to create dummy context
function is no-op
Unrecognized OpenGL version
Unrecognized OpenGL version
function is no-op
failed to acquire GL context to resolve capabilities, using defaults..

Also for glxgears:
$ glxgears
X Error of failed request:  BadValue (integer parameter out of range for operation)
  Major opcode of failed request:  149 (GLX)
  Minor opcode of failed request:  3 (X_GLXCreateContext)
  Value in failed request:  0x0
  Serial number of failed request:  21
  Current serial number in output stream:  23


> Sent: Friday, June 28, 2019 at 10:42 PM
> From: "Thiago Macieira" <thiago.macieira at intel.com>
> To: interest at qt-project.org
> Subject: Re: [Interest] X11->XQuartz compatability?
>
> On Friday, 28 June 2019 08:25:12 PDT Jason H wrote:
> > I looked into this, but cannot find out how to "use llmvpipe"? I've been
> > staring at https://www.mesa3d.org/llvmpipe.html and poking around, I don't
> > see instructions on where to get it, or how to build it? it just kind of
> > assumes the reader already has it?
>
> You already have it.
>
> Try setting LIBGL_ALWAYS_SOFTWARE=1 and GALLIUM_DRIVER=llvmpipe.
>
> See https://www.mesa3d.org/envvars.html
>
> --
> Thiago Macieira - thiago.macieira (AT) intel.com
>   Software Architect - Intel System Software Products
>
>
>
> _______________________________________________
> Interest mailing list
> Interest at qt-project.org
> https://lists.qt-project.org/listinfo/interest
>


More information about the Interest mailing list